Get Appointment Notes

http
GET https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
appointmentIdstringYesAppointment ID

Query parameters

NameTypeRequiredExampleDescription
limitnumberYes10Limit of notes to fetch
offsetnumberYes0Offset of notes to fetch

Responses

200 - Successful response
  • notes (object[])

    • id (string): Example: HGPcayliwcdoUFzvbTok

    • body (string): Example: lorem ipsum

    • userId (string): Example: TUcmRxWrjqzJS8EjkxNK

    • dateAdded (string): Example: 2021-07-08T12:02:11.285Z

    • contactId (string): Example: TUcmRxWrjqzJS8EjkxNK

    • createdBy (object)

      • id (string): Example: TUcmRxWr

      • name (string): Example: John Doe

  • hasMore (boolean): Example: True

json
{
  "notes": [
    {
      "id": "HGPcayliwcdoUFzvbTok",
      "body": "lorem ipsum",
      "userId": "TUcmRxWrjqzJS8EjkxNK",
      "dateAdded": "2021-07-08T12:02:11.285Z",
      "contactId": "TUcmRxWrjqzJS8EjkxNK",
      "createdBy": {
        "id": "TUcmRxWr",
        "name": "John Doe"
      }
    }
  ],
  "hasMore": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?